import { Component, OnInit } from '@angular/core';
import { KompetenzService } from '../services/kompetenz.service';
import { Observable } from 'rxjs';
import { MatSliderModule } from '@angular/material/slider';

@Component({
  selector: 'app-kompetenz',
  templateUrl: './kompetenz.component.html',
  styleUrls: ['./kompetenz.component.css']
})
export class KompetenzComponent implements OnInit {

  public kompetenzen: any;
  
  constructor(private Kompetenz: KompetenzService) { 
    
  }

  ngOnInit(): void {

    this.Kompetenz.getKompetenzen().subscribe (
      (
        result: any) => {
        this.kompetenzen = result;
      })
  }
}

